FreshPorts - VuXML

This page displays vulnerability information about FreeBSD Ports.

The last vuln.xml file processed by FreshPorts is:

Revision:  363221
Date:      2014-07-28
Time:      18:38:13Z
Committer: cs

List all Vulnerabilities, by package

List all Vulnerabilities, by date

These are the vulnerabilities relating to the commit you have selected:

VuXML IDDescription
71612099-1e93-11e0-a587-001b77d09812subversion -- multiple DoS

Entry for CVE-2010-4539 says:

The walk function in repos.c in the mod_dav_svn module for the Apache HTTP Server, as distributed in Apache Subversion before 1.6.15, allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via vectors that trigger the walking of SVNParentPath collections.

Entry for CVE-2010-4644 says:

Multiple memory leaks in rev_hunt.c in Apache Subversion before 1.6.15 allow remote authenticated users to cause a denial of service (memory consumption and daemon crash) via the -g option to the blame command.


Discovery 2011-01-02
Entry 2011-01-13
subversion
lt 1.6.15

subversion-freebsd
lt 1.6.15

45655
CVE-2010-4539
CVE-2010-4644
71612099-1e93-11e0-a587-001b77d09812subversion -- multiple DoS

Entry for CVE-2010-4539 says:

The walk function in repos.c in the mod_dav_svn module for the Apache HTTP Server, as distributed in Apache Subversion before 1.6.15, allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via vectors that trigger the walking of SVNParentPath collections.

Entry for CVE-2010-4644 says:

Multiple memory leaks in rev_hunt.c in Apache Subversion before 1.6.15 allow remote authenticated users to cause a denial of service (memory consumption and daemon crash) via the -g option to the blame command.


Discovery 2011-01-02
Entry 2011-01-13
subversion
lt 1.6.15

subversion-freebsd
lt 1.6.15

45655
CVE-2010-4539
CVE-2010-4644
bce1f76d-82d0-11de-88ea-001a4d49522bsubversion -- heap overflow vulnerability

A Subversion Security Advisory reports:

Subversion clients and servers have multiple heap overflow issues in the parsing of binary deltas. This is related to an allocation vulnerability in the APR library used by Subversion.

Clients with commit access to a vulnerable server can cause a remote heap overflow; servers can cause a heap overflow on vulnerable clients that try to do a checkout or update.

This can lead to a DoS (an exploit has been tested) and to arbitrary code execution (no exploit tested, but the possibility is clear).


Discovery 2009-08-06
Entry 2009-08-06
Modified 2009-08-07
subversion
subversion-freebsd
p5-subversion
py-subversion
lt 1.6.4

CVE-2009-2411
http://subversion.tigris.org/security/CVE-2009-2411-advisory.txt
bce1f76d-82d0-11de-88ea-001a4d49522bsubversion -- heap overflow vulnerability

A Subversion Security Advisory reports:

Subversion clients and servers have multiple heap overflow issues in the parsing of binary deltas. This is related to an allocation vulnerability in the APR library used by Subversion.

Clients with commit access to a vulnerable server can cause a remote heap overflow; servers can cause a heap overflow on vulnerable clients that try to do a checkout or update.

This can lead to a DoS (an exploit has been tested) and to arbitrary code execution (no exploit tested, but the possibility is clear).


Discovery 2009-08-06
Entry 2009-08-06
Modified 2009-08-07
subversion
subversion-freebsd
p5-subversion
py-subversion
lt 1.6.4

CVE-2009-2411
http://subversion.tigris.org/security/CVE-2009-2411-advisory.txt
e27a1af3-8d21-11e0-a45d-001e8c75030dSubversion -- multiple vulnerabilities

Subversion team reports:

Subversion's mod_dav_svn Apache HTTPD server module will dereference a NULL pointer if asked to deliver baselined WebDAV resources.

This can lead to a DoS. An exploit has been tested, and tools or users have been observed triggering this problem in the wild.

Subversion's mod_dav_svn Apache HTTPD server module may in certain scenarios enter a logic loop which does not exit and which allocates memory in each iteration, ultimately exhausting all the available memory on the server.

This can lead to a DoS. There are no known instances of this problem being observed in the wild, but an exploit has been tested.

Subversion's mod_dav_svn Apache HTTPD server module may leak to remote users the file contents of files configured to be unreadable by those users.

There are no known instances of this problem being observed in the wild, but an exploit has been tested.


Discovery 2011-05-28
Entry 2011-06-02
subversion
lt 1.6.17

subversion-freebsd
lt 1.6.17

CVE-2011-1752
CVE-2011-1783
CVE-2011-1921